Subject: [PATCH 5/5] arm/perfevents: implement perf event support for ARMv6

From: [email-masked] (Will Deacon)
Date: Tue, 15 Dec 2009 15:05:13 -0000

* Jamie Iles wrote:

> Ok, is it a safe assumption that for ARMv6 if num_possible_cpus() returns >1
> we are mpcore and need to use different ID's or is there a better way to test
> for mpcore?

The bottom 16 bits of the cpuid field will read 0xB020 on an 11MPCore as it's a
different chip to the other v6 cores.

You could cast the cpuid to a u16 and switch on that: 0xB360, 0xB560 and 0xB760
are the single core ARM11s.

Will